org.apache.ignite.stream

## Interface StreamMultipleTupleExtractor<T,K,V>

    public interface StreamMultipleTupleExtractor<T,K,V>

Stream tuple extractor to convert a single message to zero, one or many tuples.

For cases where cardinality will always be 1:1 (or 0:1), you may consider `StreamTupleExtractor`.

See Also:
  `StreamTupleExtractor`

### Method Summary

Methods
`Map<K,V>` `extract(T msg)` Extracts a set of key-values from a message.

### Method Detail

#### extract

    Map<K,V> extract(T msg)

Extracts a set of key-values from a message.

Parameters:
  `msg` - Message.
Returns:
  Map containing resulting tuples.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017